- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB Xevie API

Xevie XCB Protocol Implementation. More...

## Data Structures
struct | xcb_xevie_query_version_cookie_t
| xcb_xevie_query_version_cookie_t More...
struct | xcb_xevie_query_version_request_t
| xcb_xevie_query_version_request_t More...
struct | xcb_xevie_query_version_reply_t
| xcb_xevie_query_version_reply_t More...
struct | xcb_xevie_start_cookie_t
| xcb_xevie_start_cookie_t More...
struct | xcb_xevie_start_request_t
| xcb_xevie_start_request_t More...
struct | xcb_xevie_start_reply_t
| xcb_xevie_start_reply_t More...
struct | xcb_xevie_end_cookie_t
| xcb_xevie_end_cookie_t More...
struct | xcb_xevie_end_request_t
| xcb_xevie_end_request_t More...
struct | xcb_xevie_end_reply_t
| xcb_xevie_end_reply_t More...
struct | xcb_xevie_event_t
| xcb_xevie_event_t More...
struct | xcb_xevie_event_iterator_t
| xcb_xevie_event_iterator_t More...
struct | xcb_xevie_send_cookie_t
| xcb_xevie_send_cookie_t More...
struct | xcb_xevie_send_request_t
| xcb_xevie_send_request_t More...
struct | xcb_xevie_send_reply_t
| xcb_xevie_send_reply_t More...
struct | xcb_xevie_select_input_cookie_t
| xcb_xevie_select_input_cookie_t More...
struct | xcb_xevie_select_input_request_t
| xcb_xevie_select_input_request_t More...
struct | xcb_xevie_select_input_reply_t
| xcb_xevie_select_input_reply_t More...
## Defines
#define | XCB_XEVIE_MAJOR_VERSION 1
#define | XCB_XEVIE_MINOR_VERSION 0
#define | XCB_XEVIE_QUERY_VERSION 0
#define | XCB_XEVIE_START 1
#define | XCB_XEVIE_END 2
#define | XCB_XEVIE_SEND 3
#define | XCB_XEVIE_SELECT_INPUT 4
## Enumerations
enum | xcb_xevie_datatype_t { XCB_XEVIE_DATATYPE_UNMODIFIED, XCB_XEVIE_DATATYPE_MODIFIED }
## Functions
xcb_xevie_query_version_cookie_t | xcb_xevie_query_version (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_xevie_query_version_cookie_t | xcb_xevie_query_version_unchecked (xcb_connection_t *c, uint16_t client_major_version, uint16_t client_minor_version)
xcb_xevie_query_version_reply_t * | xcb_xevie_query_version_reply (xcb_connection_t *c, xcb_xevie_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_xevie_start_cookie_t | xcb_xevie_start (xcb_connection_t *c, uint32_t screen)
xcb_xevie_start_cookie_t | xcb_xevie_start_unchecked (xcb_connection_t *c, uint32_t screen)
xcb_xevie_start_reply_t * | xcb_xevie_start_reply (xcb_connection_t *c, xcb_xevie_start_cookie_t cookie, xcb_generic_error_t **e)
xcb_xevie_end_cookie_t | xcb_xevie_end (xcb_connection_t *c, uint32_t cmap)
xcb_xevie_end_cookie_t | xcb_xevie_end_unchecked (xcb_connection_t *c, uint32_t cmap)
xcb_xevie_end_reply_t * | xcb_xevie_end_reply (xcb_connection_t *c, xcb_xevie_end_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_xevie_event_next (xcb_xevie_event_iterator_t *i)
xcb_generic_iterator_t | xcb_xevie_event_end (xcb_xevie_event_iterator_t i)
xcb_xevie_send_cookie_t | xcb_xevie_send (xcb_connection_t *c, xcb_xevie_event_t event, uint32_t data_type)
xcb_xevie_send_cookie_t | xcb_xevie_send_unchecked (xcb_connection_t *c, xcb_xevie_event_t event, uint32_t data_type)
xcb_xevie_send_reply_t * | xcb_xevie_send_reply (xcb_connection_t *c, xcb_xevie_send_cookie_t cookie, xcb_generic_error_t **e)
xcb_xevie_select_input_cookie_t | xcb_xevie_select_input (xcb_connection_t *c, uint32_t event_mask)
xcb_xevie_select_input_cookie_t | xcb_xevie_select_input_unchecked (xcb_connection_t *c, uint32_t event_mask)
xcb_xevie_select_input_reply_t * | xcb_xevie_select_input_reply (xcb_connection_t *c, xcb_xevie_select_input_cookie_t cookie, xcb_generic_error_t **e)
## Variables
xcb_extension_t | xcb_xevie_id

## Detailed Description

Xevie XCB Protocol Implementation.

## Define Documentation

#define XCB_XEVIE_END 2

Opcode for xcb_xevie_end.

#define XCB_XEVIE_QUERY_VERSION 0

Opcode for xcb_xevie_query_version.

#define XCB_XEVIE_SELECT_INPUT 4

Opcode for xcb_xevie_select_input.

#define XCB_XEVIE_SEND 3

Opcode for xcb_xevie_send.

#define XCB_XEVIE_START 1

Opcode for xcb_xevie_start.

## Function Documentation

xcb_xevie_end_cookie_t xcb_xevie_end | ( | xcb_connection_t * | c,
|  | uint32_t | cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xevie_end_reply_t* xcb_xevie_end_reply | ( | xcb_connection_t * | c,
|  | xcb_xevie_end_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xevie_end_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xevie_end_cookie_t xcb_xevie_end_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | cmap |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_generic_iterator_t xcb_xevie_event_end | ( | xcb_xevie_event_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_xevie_event_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_xevie_event_next | ( | xcb_xevie_event_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_xevie_event_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xevie_event_t)

xcb_xevie_query_version_cookie_t xcb_xevie_query_version | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xevie_query_version_reply_t* xcb_xevie_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_xevie_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xevie_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xevie_query_version_cookie_t xcb_xevie_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | client_major_version,
|  | uint16_t | client_minor_version |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_xevie_select_input_cookie_t xcb_xevie_select_input | ( | xcb_connection_t * | c,
|  | uint32_t | event_mask |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xevie_select_input_reply_t* xcb_xevie_select_input_reply | ( | xcb_connection_t * | c,
|  | xcb_xevie_select_input_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xevie_select_input_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xevie_select_input_cookie_t xcb_xevie_select_input_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | event_mask |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_xevie_send_cookie_t xcb_xevie_send | ( | xcb_connection_t * | c,
|  | xcb_xevie_event_t | event,
|  | uint32_t | data_type |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xevie_send_reply_t* xcb_xevie_send_reply | ( | xcb_connection_t * | c,
|  | xcb_xevie_send_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xevie_send_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xevie_send_cookie_t xcb_xevie_send_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xevie_event_t | event,
|  | uint32_t | data_type |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_xevie_start_cookie_t xcb_xevie_start | ( | xcb_connection_t * | c,
|  | uint32_t | screen |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xevie_start_reply_t* xcb_xevie_start_reply | ( | xcb_connection_t * | c,
|  | xcb_xevie_start_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xevie_start_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xevie_start_cookie_t xcb_xevie_start_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | screen |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.